Bug 250744 - missed parameter "configtest" in init script usage report
Summary: missed parameter "configtest" in init script usage report
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: i386 Linux
low
medium
Target Milestone: ---
: ---
Assignee: Adam Tkac
QA Contact:
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-03 13:05 UTC by Andrew Martynov
Modified: 2013-04-30 23:36 UTC (History)
1 user (show)

Fixed In Version: RHSA-2008-0300
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:17:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0300 normal SHIPPED_LIVE Moderate: bind security, bug fix, and enhancement update 2008-05-21 14:17:18 UTC

Description Andrew Martynov 2007-08-03 13:05:59 UTC
Description of problem:
/etc/rc.d/named scripts usage summary did not report "checkconfig" 
parameter to verify correctness of main config and zones. 

Version-Release number of selected component (if applicable):
bind-9.3.3-9.0.1.el5.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. call "service named" without parameters 
2. call "service named checkconfig"
3. look at usage summary 

  
Actual results:
Usage: /etc/rc.d/named {start|stop|status|restart|condrestart|reload|probe}


Expected results:
Usage: /etc/rc.d/named
{start|stop|status|restart|condrestart|reload|configtest|probe}


Additional info:

Comment 1 Adam Tkac 2007-08-06 09:10:57 UTC
You're right

Comment 2 RHEL Product and Program Management 2007-10-16 03:51:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 errata-xmlrpc 2008-05-21 14:17:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0300.html



Note You need to log in before you can comment on or make changes to this bug.